/**
 * Same as Route, but with a hash at the beginning
 */
export declare type Hash = string;
export declare type Params = Record<string, boolean | number | string>;
/**
 * Same as Hash, but without the hash at the beginning
 */
export declare type Route = string;
export declare type Title = string;
export declare type Token = string;
export declare type ChangeListener = ({ params, matchedRoute, }: {
    params: Params;
    matchedRoute: Route;
}) => void;
